#ifndef __LIBCPP_H
#define __LIBCPP_H

void * operator new(unsigned size);
void   operator delete(void * ptr);
void * operator new[](unsigned size);
void   operator delete[](void * ptr);

template <bool threads, int inst>
class __default_alloc_template {
  };

template <class charT>
struct string_char_traits {
  typedef charT char_type;
  static char_type eos () { return char_type(); }
  };

struct string_char_traits <char> {
  strict char eos () { return 0; }
  };


#endif
